Bug 863102 (CVE-2015-8836)

Summary: CVE-2015-8836 fuseiso: Integer overflow, leading to heap buffer overflow when reading certain ISO ZF blocks
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, dkholia, fweimer, security-response-team, tcallawa, tomasz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-17 06:38:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 861358    
Bug Blocks: 863103    

Description Jan Lieskovsky 2012-10-04 12:50:02 UTC
An integer overflow, leading to heap-based buffer overflow flaw was found in the way FuseISO, a FUSE module to mount ISO filesystem images, performed reading of certain ZF blocks of particular inode. A remote attacker could provide a specially-crafted ISO file that, when mounted via fuseiso tool would lead to fuseiso binary crash.

Acknowledgements:

This issue was discovered by Florian Weimer of Red Hat Product Security Team.

Comment 1 Jan Lieskovsky 2012-10-04 12:51:39 UTC
This issue affects the versions of the fuseiso package, as shipped with Fedora release of 16 and 17.

Comment 3 tomasz 2015-03-11 07:44:10 UTC
Debian bug #779047 brought me here: is there a PoC ISO file that causes this issue to happen?

Comment 4 Andrej Nemec 2016-03-30 08:34:42 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q1/712